//	Bomb.cpp - Oh no! A bomb!
//  ----------------------------------------------------------------------------
//	This file is part of 'RainbowSpaceDonkeyEscape', template code for a game.
//	Copyright (C) 2011  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Bomb.h"
#include "NiallsDrawingLib/Drawer.h"
#include "Pickup.h"

//------------------------------------------------------------------------------
Bomb::Bomb(const TwoFloats& pos):
position(pos),
countdown(1.0f)
{

}

//------------------------------------------------------------------------------
Bomb::~Bomb()
{

}

//------------------------------------------------------------------------------
bool Bomb::move()
{
	bool retval = false;

	countdown -= 0.005f;
	if(countdown <= 0.0f)
		retval = true;

	return retval;
}

//------------------------------------------------------------------------------
void Bomb::draw(Drawer *d, const TwoFloats& playerPos)
{
	float flash;
	float increasingRate;
	TwoFloats topLeft, bottomRight;

	topLeft.x = playerPos.x - 740.0f;
	topLeft.y = playerPos.y - 460.0f;
	bottomRight.x = playerPos.x + 740.0f;
	bottomRight.y = playerPos.y + 460.0f;
	
	if(position.isWithin(topLeft, bottomRight))
	{
		increasingRate = 1.0f-countdown;
		increasingRate *= 25.0f;
		increasingRate += 25.0f;
		flash = cosf(countdown * increasingRate * 6.283185f);
		flash *= 0.5f;
		flash += 0.5f;
		d->drawImage(Pickup::images[Pickup::Bomb],
					 position.x - (topLeft.x+100) - (8.0f * 6.0f),
					 position.y - (topLeft.y+100) - (8.0f * 6.0f),
					 6.0f,
					 6.0f,
					 1.0f,
					 flash,
					 flash);
	}
}
