//	Bomb.h - Oh no! A bomb!
//  ----------------------------------------------------------------------------
//	This file is part of 'RainbowSpaceDonkeyEscape', template code for a game.
//	Copyright (C) 2011  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef BOMB_H_
#define BOMB_H_

#include "TwoFloats.h"

class Drawer;

///	Oh no! A bomb!
class Bomb
{
  public:
	///	Constructor.
	Bomb(const TwoFloats& pos);
	///	Destructor.
	~Bomb();

	///	Returns true when the bomb explodes.
	bool move();

	///	Draws the bomb.
	void draw(Drawer *d, const TwoFloats& playerPos);

	///	Returns the bomb's position.
	TwoFloats getPosition() const {return position;};
  private:
	///	The bomb's position.
	TwoFloats position;

	///	Used to countdown to the bomb's explosion.
	float countdown;
};

#endif
