//	Box2DHelpers.h - Some helper things for Box2D.
//  ----------------------------------------------------------------------------
//	This file is part of 'RainbowSpaceDonkeyEscape', template code for a game.
//	Copyright (C) 2011  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef BOX2DHELPERS_H_
#define BOX2DHELPERS_H_

#include "TwoFloats.h"

#include "Box2D/Box2D.h"

//------------------------------------------------------------------------------
///	Converts pixels coordinates to Box2D's meters.
inline float pixels2Meters(float val)
{
	return val * (2.0f/64.0f); //We assume the donkey is 2m wide.
};

//------------------------------------------------------------------------------
///	Converts Box2D's meters to pixel coordinates.
inline float meters2Pixels(float val)
{
	return val * (64.0f/2.0f); //We assume the donkey is 2m wide.
};

//------------------------------------------------------------------------------
///	Converts a TwoFloats to a b2Vec2.
inline b2Vec2 twoFloats2B2Vec2(const TwoFloats& val)
{
	return b2Vec2(val.x, val.y);
};

//------------------------------------------------------------------------------
///	Converts a b2Vec2 to a TwoFloats.
inline TwoFloats b2Vec22TwoFloats(const b2Vec2& val)
{
	return TwoFloats(val.x, val.y);
};

#endif
