//	ShockWave.h - Class representing a shock wave.
//  ----------------------------------------------------------------------------
//	This file is part of 'RainbowSpaceDonkeyEscape', template code for a game.
//	Copyright (C) 2011  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef SHOCKWAVE_H_
#define SHOCKWAVE_H_

#include "ThreeFloats.h"
#include "TwoFloats.h"

#include <stdint.h>

class Drawer;

///	Class representing a shock wave.
class ShockWave
{
  public:
	///	Constructor.
	ShockWave(const TwoFloats& pos);
	///	Destructor.
	~ShockWave();

	///	Draws the shock wave, returns true when it's done.
	bool draw(Drawer *d, const TwoFloats& playerPos);
  private:
	///	The shock wave image.
	static uint32_t image;

	///	The shock wave position.
	TwoFloats position;
	///	The shock wave size.
	float size;

	///	Used to colour cycle the shock wave.
	float colourInterp;
	///	Used to colour cycle the shock wave.
	ThreeFloats colours[7];
};

#endif
